"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("./hourglass.css");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _utils = require("../utils");

const Hourglass = ({
  className,
  color,
  size,
  style
}) => {
  const varStyle = { ...style
  };
  color && (varStyle['--rcs-hourglass-color'] = color);
  size && (varStyle['--rcs-hourglass-size'] = `${size}px`);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _utils.clsx)('rcs-hourglass', className),
    style: varStyle
  });
};

process.env.NODE_ENV !== "production" ? Hourglass.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  style: _propTypes.default.object
} : void 0;
var _default = Hourglass;
exports.default = _default;