"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

require("./ripple.css");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _utils = require("../utils");

const Ripple = ({
  className,
  color,
  size,
  style,
  thickness
}) => {
  const varStyle = { ...style
  };
  color && (varStyle['--rcs-ripple-color'] = color);
  size && (varStyle['--rcs-ripple-size'] = `${size}px`);
  thickness && (varStyle['--rcs-ripple-thickness'] = `${thickness}px`);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: (0, _utils.clsx)('rcs-ripple', className),
    style: varStyle
  }, /*#__PURE__*/_react.default.createElement("div", null), /*#__PURE__*/_react.default.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Ripple.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  style: _propTypes.default.object,
  thickness: _propTypes.default.number
} : void 0;
var _default = Ripple;
exports.default = _default;