import './circle.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const Circle = ({
  className,
  color,
  size,
  style
}) => {
  const varStyle = { ...style
  };
  color && (varStyle['--rcs-circle-color'] = color);
  size && (varStyle['--rcs-circle-size'] = `${size}px`);
  return /*#__PURE__*/React.createElement("div", {
    className: clsx('rcs-circle', className),
    style: varStyle
  }, /*#__PURE__*/React.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Circle.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object
} : void 0;
export default Circle;