import './ellipsis.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const Ellipsis = ({
  className,
  color,
  size,
  style
}) => {
  const varStyle = { ...style
  };
  color && (varStyle['--rcs-ellipsis-color'] = color);
  size && (varStyle['--rcs-ellipsis-size'] = `${size}px`);
  return /*#__PURE__*/React.createElement("div", {
    className: clsx('rcs-ellipsis', className),
    style: varStyle
  }, /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Ellipsis.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object
} : void 0;
export default Ellipsis;