import './hourglass.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const Hourglass = ({
  className,
  color,
  size,
  style
}) => {
  const varStyle = { ...style
  };
  color && (varStyle['--rcs-hourglass-color'] = color);
  size && (varStyle['--rcs-hourglass-size'] = `${size}px`);
  return /*#__PURE__*/React.createElement("div", {
    className: clsx('rcs-hourglass', className),
    style: varStyle
  });
};

process.env.NODE_ENV !== "production" ? Hourglass.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object
} : void 0;
export default Hourglass;