import './wave.css';
import React from 'react';
import PropTypes from 'prop-types';
import { clsx } from '../utils';

const Wave = ({
  className,
  color,
  size,
  style,
  thickness
}) => {
  const varStyle = { ...style
  };
  color && (varStyle['--rcs-wave-color'] = color);
  size && (varStyle['--rcs-wave-size'] = `${size}px`);
  thickness && (varStyle['--rcs-wave-thickness'] = `${thickness}px`);
  return /*#__PURE__*/React.createElement("div", {
    className: clsx('rcs-wave', className),
    style: varStyle
  }, /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null), /*#__PURE__*/React.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Wave.propTypes = {
  className: PropTypes.string,
  color: PropTypes.string,
  size: PropTypes.number,
  style: PropTypes.object,
  thickness: PropTypes.number
} : void 0;
export default Wave;